Subject: Re: bug#25525: 25.1.90; add color highlighting to css mode

From: [email-masked] (Etienne Prud’homme)
Date: Mon, 01 May 2017 17:25:55 -0400

Tom Tromey <[email-masked]> writes:

> This patch on top of my current patch was enough.  However I'm not sure
> it is the best way.  It does pass the css mode tests, but I'm also not
> sure that is sufficient.  Could you try it out?

I’ve thought in the pass it would be nicer if we had a real (S)CSS
parser. I don’t mean by that a renderer (it would be a completely
different project). Instead I mean something that tells us the generated
“cascade”.

This would give us the ability to fontify (S)CSS color variables with
what color they got. We could also fontify color transformations.

What do you think?

--
Etienne